Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/zenodo-communities.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/zenodo-communities.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/zenodo-communities.service.ts	(revision 55964)
@@ -1,28 +1,32 @@
 import {Injectable}                 from '@angular/core';
 import {Http, Response}             from '@angular/http';
 import {Headers, RequestOptions}    from '@angular/http';
-import {Observable}                 from 'rxjs/Rx';
+import {HttpClient} from "@angular/common/http";
+import {Observable}                 from 'rxjs';
 
 import {ZenodoCommunityInfo}        from './zenodoCommunityInfo';
 import {EnvProperties}              from '../../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class ZenodoCommunitiesService {
 
-    constructor(private http:Http) {
+    constructor(private http:HttpClient) {
     }
 
     getZenodoCommunities(properties:EnvProperties, url: string) {
             return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)) : url)
-                            .map(res => <any> res.json()).map(res => [this.parseZenodoCommunities(res.hits.hits),res.hits.total]);
+                            //.map(res => <any> res.json())
+                            .pipe(map(res => [this.parseZenodoCommunities(res['hits'].hits),res['hits'].total]));
     }
     getZenodoCommunityById(properties:EnvProperties, url: string, openaireId:string) {
             return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)) : url)
-                            .map(res => <any> res.json()).map(res => {
+                            //.map(res => <any> res.json())
+                            .pipe(map(res => {
                               var community = this.parseZenodoCommunity(res);
                               community["openaireId"]=openaireId;
                               return community;
-                            });
+                            }));
     }
 
     parseZenodoCommunities(data: any): ZenodoCommunityInfo[] {
@@ -53,6 +57,7 @@
 
     getTotalZenodoCommunities(properties:EnvProperties, url: string) {
             return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)) : url)
-                            .map(res => <any> res.json()).map(res => res.hits.total);
+                            //.map(res => <any> res.json())
+                            .pipe(map(res => res['hits'].total));
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.service.ts	(revision 55964)
@@ -1,18 +1,15 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {throwError} from 'rxjs';
 import {OrpInfo} from '../../utils/entities/orpInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
-import{EnvProperties} from '../../utils/properties/env-properties';
+import {EnvProperties} from '../../utils/properties/env-properties';
+import {ParsingFunctions} from '../landing-utils/parsingFunctions.class';
+import {map} from "rxjs/operators";
 
-import { ParsingFunctions } from '../landing-utils/parsingFunctions.class';
-
 @Injectable()
 export class OrpService {
 
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
     this.parsingFunctions = new ParsingFunctions();
   }
 
@@ -25,9 +22,9 @@
     let key = url;
 
     return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity'],res])
-                    .map(res => [res[1]['oaf:result'],  //0
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity'],res]))
+                    .pipe(map(res => [res[1]['oaf:result'],  //0
                                  res[1]['oaf:result']['title'],   //1
                                  res[1]['oaf:result']['rels']['rel'], //2
                                  res[1]['oaf:result']['children'],  //3
@@ -43,14 +40,15 @@
                                  res[2],  //13
                                  (res[1]['extraInfo']!= undefined && res[1]['extraInfo']['citations']!= undefined)? res[1]['extraInfo']['citations']['citation']:null, //14
                                   res[1]['oaf:result']['journal'] //15
-                    ]).map(res => this.parseOrpInfo(res, properties));
+                    ]))
+                    .pipe(map(res => this.parseOrpInfo(res, properties)));
   }
 
-  private handleError (error: Response) {
+  private handleError (error: HttpErrorResponse) {
   // in a real world app, we may send the error to some remote logging infrastructure
   // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return throwError(error  || 'Server error');
   }
 
   parseOrpInfo (data: any, properties: EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 55964)
@@ -7,7 +7,7 @@
 
 import { ErrorCodes} from '../../utils/properties/errorCodes';
 import {RouterHelper} from '../../utils/routerHelper.class';
-import { Observable } from 'rxjs/Observable';
+import { Observable } from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 @Component({
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.service.ts	(revision 55964)
@@ -1,18 +1,20 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {ProjectInfo} from '../../utils/entities/projectInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 import { ParsingFunctions } from '../landing-utils/parsingFunctions.class';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class ProjectService {
 
-    constructor(private http: Http ) {
+    constructor(private http: HttpClient ) {
       this.parsingFunctions = new ParsingFunctions();
     }
 
@@ -25,12 +27,12 @@
         let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['result']['metadata']['oaf:entity']['oaf:project'])
-                    .map(res => [res,
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['result']['metadata']['oaf:entity']['oaf:project']))
+                    .pipe(map(res => [res,
                                  res['fundingtree'],
-                                 res['rels']['rel']])
-                    .map(res => this.parseProjectInfo(res, properties));
+                                 res['rels']['rel']]))
+                    .pipe(map(res => this.parseProjectInfo(res, properties)));
 
     }
 
@@ -43,13 +45,13 @@
          let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['results'][0])
-                    .map(res => [res['result']['metadata']['oaf:entity']['oaf:project'],res['result']['header']['dri:objIdentifier']])
-                    .map(res => [res[0],
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['results'][0]))
+                    .pipe(map(res => [res['result']['metadata']['oaf:entity']['oaf:project'],res['result']['header']['dri:objIdentifier']]))
+                    .pipe(map(res => [res[0],
                                  res[0]['fundingtree'],
-                                 res[0]['rels']['rel'],res[1]])
-                    .map(res => this.parseProjectInfo(res, properties));
+                                 res[0]['rels']['rel'],res[1]]))
+                    .pipe(map(res => this.parseProjectInfo(res, properties)));
 
     }
     /*
@@ -61,12 +63,12 @@
         let key = url+'_projectDates';
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['result']['metadata']['oaf:entity']['oaf:project'])
-                    .map(res => [res,
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['result']['metadata']['oaf:entity']['oaf:project']))
+                    .pipe(map(res => [res,
                               res['fundingtree'],
-                              res['rels']['rel']])
-                    .map(res => this.parseProjectDates(id,res))
+                              res['rels']['rel']]))
+                    .pipe(map(res => this.parseProjectDates(id,res)))
 
     }
 
@@ -75,14 +77,14 @@
         let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['result']['metadata']['oaf:entity']['oaf:project'])
-                    .map(res => this.parseHTMLInfo(res));
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['result']['metadata']['oaf:entity']['oaf:project']))
+                    .pipe(map(res => this.parseHTMLInfo(res)));
     }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
         console.log(error);
-        return Observable.throw(error  || 'Server error');
+        return throwError(error  || 'Server error');
     }
 
     parseHTMLInfo (data: any):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {EnvProperties}                from '../../utils/properties/env-properties';
 import {PublicationInfo}              from '../../utils/entities/publicationInfo';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/metrics.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {MetricsService } from '../../services/metrics.service';
 import {ErrorCodes} from '../../utils/properties/errorCodes';
 
-import { Subscription }   from 'rxjs/Subscription';
+import { Subscription }   from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 @Component({
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/email.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/email.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/email/email.service.ts	(revision 55964)
@@ -1,5 +1,6 @@
 import {Injectable} from '@angular/core';
 import {Http, Response, Headers, RequestOptions} from '@angular/http';
+import {HttpClient} from "@angular/common/http";
 import {Email} from './email';
 import {CustomOptions} from '../../services/servicesUtils/customOptions.class';
 import {EmailRecaptcha} from "../entities/EmailRecaptcha";
@@ -7,14 +8,14 @@
 @Injectable()
 export class EmailService {
 
-    constructor(private http:Http) {
+    constructor(private http:HttpClient) {
     }
 
     sendEmail(url: string, email: Email) {
         let body = JSON.stringify(email);
 
-        return this.http.post(url, body, CustomOptions.getAuthOptionsWithBody())
-                   .map(request => request.json());
+        return this.http.post(url, body, CustomOptions.getAuthOptionsWithBody());
+                   //.map(request => request.json());
     }
 
     contact(url: string, email: Email, recaptcha: string) {
@@ -21,8 +22,8 @@
         const data: EmailRecaptcha = new EmailRecaptcha();
         data.email = email;
         data.recaptcha = recaptcha;
-        return this.http.post(url, data)
-            .map(request => request.json());
+        return this.http.post(url, data);
+            //.map(request => request.json());
     }
 
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/staticAutoComplete/ISVocabularies.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/staticAutoComplete/ISVocabularies.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/staticAutoComplete/ISVocabularies.service.ts	(revision 55964)
@@ -1,16 +1,15 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError,  of } from 'rxjs';
 import {AutoCompleteValue} from '../../searchPages/searchUtils/searchHelperClasses.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
 
 import{EnvProperties} from '../properties/env-properties';
+import {catchError, map} from "rxjs/operators";
 
 @Injectable()
 export class ISVocabulariesService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     getVocabularyByType(field:string,entity:string, properties:EnvProperties):any{
       //console.log("getVocabulary field: "+ field + " for entity: "+ entity);
@@ -34,7 +33,7 @@
         return this.getVocabularyFromService(vocabulary, properties);
 
       }else if ( field == "type" && (entity == "software" || entity == "other")){
-        return Observable.of([]);
+        return of([]);
 
       }else if( field == "access" && (entity == "publication" || entity == "dataset" ||  entity == "software" || entity == "other")){
         // file= "accessMode.json";
@@ -81,10 +80,10 @@
         //     return results;
         //   });
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['terms'])
-                    .map(res => this.parse(res))
-                    .catch(this.handleError);
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['terms']))
+                    .pipe(map(res => this.parse(res)))
+                    .pipe(catchError(this.handleError));
 
     }
 
@@ -100,10 +99,10 @@
         return array;
 
     }
-private handleError (error: Response) {
+private handleError (error: HttpErrorResponse) {
       // in a real world app, we may send the error to some remote logging infrastructure
       // instead of just logging it to the console
       console.log(error);
-      return Observable.throw(error  || 'Server error');
+      return throwError(error  || 'Server error');
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.service.ts	(revision 55964)
@@ -1,14 +1,15 @@
 import {Injectable, Inject} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
+
+
+
 import{EnvProperties} from '../properties/env-properties';
 
 @Injectable()
 export class HelperService {
-    constructor(private http: Http) {}
+    constructor(private http: HttpClient) {}
 
     getHelper (router: string, position: string, before: boolean, div: string, properties:EnvProperties,communityId:string ):any {
         //console.info("get router helpText for : "+router+" - position="+position+" - before="+before + " - div="+div);
@@ -23,8 +24,8 @@
           }
         }
 
-        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json());
+        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url);
+                    //.map(res => <any> res.json());
 
     }
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/properties/environment-specific.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/properties/environment-specific.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/properties/environment-specific.service.ts	(revision 55964)
@@ -1,13 +1,19 @@
-import { Injectable, OnInit, PLATFORM_ID, Inject,InjectionToken , Optional, Injector } from '@angular/core';
+import {Injectable, OnInit, PLATFORM_ID, Inject, InjectionToken, Optional, Injector, inject} from '@angular/core';
 import { isPlatformBrowser} from '@angular/common';
 import { Http, Response, Headers, RequestOptions } from '@angular/http';
-import { Observable, Subscription, BehaviorSubject } from 'rxjs/Rx';
-import 'rxjs/add/operator/map';
-import 'rxjs/add/operator/toPromise';
+import {HttpClient} from "@angular/common/http";
+import { Observable, Subscription, BehaviorSubject ,  of } from 'rxjs';
 
+import {Request} from 'express';
+import {REQUEST} from '@nguniversal/express-engine/tokens';
+
 import { EnvProperties } from './env-properties';
-import { DOCUMENT } from '@angular/platform-browser';
+import { DOCUMENT } from '@angular/common';
+import {map} from "rxjs/operators";
+import {Type} from "@angular/compiler";
 
+//export const REQUEST_TOKEN = new InjectionToken<Request>('request');
+
 @Injectable()
 export class EnvironmentSpecificService {
 
@@ -18,12 +24,14 @@
   private envSpecificSubject: BehaviorSubject<EnvProperties> = new BehaviorSubject<EnvProperties>(null);
   private propertiesUrl = "/assets/env-properties.json";
 
-  constructor(private http: Http,  @Inject(PLATFORM_ID) private platformId: string, private injector: Injector) {
+  constructor(private http: HttpClient,  @Inject(PLATFORM_ID) private platformId: string, /*private injector: Injector,*/
+              @Optional() @Inject(REQUEST) private request: Request) {
       this.testBrowser = isPlatformBrowser(platformId);
       if (this.testBrowser) {
           //this is only executed on the browser
       }
   }
+
   public loadEnvironment() {
       // Only want to do this once - if root page is revisited, it calls this again.
 
@@ -31,13 +39,13 @@
         var domain  = this.getDomain();
         var location = this.getFullUrl();
         // console.log('loadEnvironment: Loading  '+ location);
-        return this.http.get(location)
-            .map((data) => {
-                                    var properties:EnvProperties=data.json();
+        return this.http.get<EnvProperties>(location)
+            .pipe(map((data) => {
+                                    var properties:EnvProperties=data;//.json();
                                     properties.domain = domain;
                                     this.envSpecific = properties;
                                     return properties;
-                      })
+                      }))
             .toPromise<EnvProperties>();
       }
       // console.log('loadEnvironment: already loaded ');
@@ -50,28 +58,29 @@
         var domain  = this.getDomain();
         var location = this.getFullUrl();
         // console.log('subscribeEnvironment: Loading  '+ location);
-        return this.http.get(location)
-        .map((data) => {
-                                var properties:EnvProperties=data.json();
+        return this.http.get<EnvProperties>(location)
+        .pipe(map((data) => {
+                                var properties:EnvProperties=data;//.json();
                                 properties.domain = domain;
                                 this.envSpecific = properties;
                                 return properties;
-                  })
+                  }))
 
       }
       // console.log('subscribeEnvironment: already loaded  ');
-      return Observable.of(this.envSpecific);
+      return of(this.envSpecific);
   }
   getFullUrl(){
     var location ="";
       var domain  = "";
     if (typeof document == 'undefined') {
-         let req = this.injector.get('request');
-         domain = req.get('host').split(":")[0];
-         location = (domain.indexOf(".openaire.eu")!=-1?"https://":"http://")+ req.get('host') + this.propertiesUrl;
+      //let req = this.injector.get('request');
+      //let req: Request = this.injector.get(REQUEST_TOKEN);
+      domain = this.request.get('host').split(":")[0];
+      location = (domain.indexOf(".openaire.eu")!=-1?"https://":"http://")+ this.request.get('host') + this.propertiesUrl;
      }else{
-       location = document.location.protocol +"//" + document.location.host+this.propertiesUrl;
-       domain = document.location.hostname;
+      location = document.location.protocol +"//" + document.location.host+this.propertiesUrl;
+      domain = document.location.hostname;
    }
    return location;
   }
@@ -78,10 +87,11 @@
   getDomain(){
     var domain  = "";
     if (typeof document == 'undefined') {
-         let req = this.injector.get('request');
-         domain = req.get('host').split(":")[0];
-     }else{
-       domain = document.location.hostname;
+      //let req = this.injector.get('request');
+      //let req: Request = this.injector.get(REQUEST_TOKEN);
+      domain = this.request.get('host').split(":")[0];
+    }else{
+      domain = document.location.hostname;
    }
    return domain;
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchSoftware.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchSoftware.class.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchSoftware.class.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ErrorMessagesComponent}    from '../../utils/errorMessages.component';
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {DOI} from '../../utils/string-utils.class';
-import {Subject} from 'rxjs/Subject';
+import {Subject} from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {StringUtils} from '../../utils/string-utils.class';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.module.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.module.ts	(revision 55964)
@@ -4,7 +4,7 @@
 import { BrowserModule } from '@angular/platform-browser';
 import { NoopAnimationsModule } from '@angular/platform-browser/animations';
 import { APP_BASE_HREF, CommonModule } from '@angular/common';
-import { HttpModule } from '@angular/http';
+import { HttpClientModule } from '@angular/common/http';
 import { RouterModule } from '@angular/router';
 import { AppComponent } from './app.component';
 import {NavigationBarModule} from './sharedComponents/navigationBar.module';
@@ -69,10 +69,10 @@
     SharedModule,
     NoopAnimationsModule,
     CommonModule,
-    CookieLawModule, BottomModule,
-    HttpModule,
+    CookieLawModule,
+    BottomModule,
+    HttpClientModule,
     NavigationBarModule,
-    CookieLawModule,
     MainSearchModule,
     ErrorModule,
     DepositDatasetsModule,DepositDatasetsResultsModule, DepositBySubjectResultsModule,DepositPublicationsModule , DepositPublicationsResultsModule,
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 55964)
@@ -1,13 +1,13 @@
+
+import {merge as observableMerge, Observable} from 'rxjs';
 import {Component, ViewChild}               from '@angular/core';
 import {Input}                  from '@angular/core';
 import {ActivatedRoute, Router}             from '@angular/router';
 import {Title, Meta}                        from '@angular/platform-browser';
 
-import {Observable}                         from 'rxjs/Observable';
 
-import 'rxjs/add/operator/switch';
-import 'rxjs/add/operator/switchMap';
 
+
 import {EnvProperties}                      from '../../utils/properties/env-properties';
 
 import {DataProviderInfo}                   from '../../utils/entities/dataProviderInfo';
@@ -419,7 +419,7 @@
           &&
           ( this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.LOADING ||
             this.fetchAggregatorsOrps.searchUtils.status == this.errorCodes.DONE )) {
-        this.relatedDatasourcesSub = Observable.merge(this.fetchAggregatorsPublications.requestComplete, this.fetchAggregatorsDatasets.requestComplete, this.fetchAggregatorsSoftware.requestComplete, this.fetchAggregatorsOrps.requestComplete)
+        this.relatedDatasourcesSub = observableMerge(this.fetchAggregatorsPublications.requestComplete, this.fetchAggregatorsDatasets.requestComplete, this.fetchAggregatorsSoftware.requestComplete, this.fetchAggregatorsOrps.requestComplete)
                                .subscribe(
                                  data => {},
                                  err => {},
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {DatasetInfo}                  from '../../utils/entities/datasetInfo';
 import {EnvProperties}                from '../../utils/properties/env-properties';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {ActivatedRoute, Params, Router} from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                     from 'rxjs/Observable';
+import {Observable}                     from 'rxjs';
 
 import {EnvProperties}                  from '../../utils/properties/env-properties';
 
